SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001670SiT!billingpublic2011-08-06 16:002012-10-20 14:43
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001670: Billing matrix is blank when adding service to a contract
DescriptionWhen adding service to an existing contract the billing matrix is set to blank. I'm not sure whether the add service form should be asking for a matrix or whether the same matrix chosen for the contract should be used.

Either way, not having a billing matrix appears to be a bad thing.
TagsNo tags attached.
Attached Filespng file icon sit3.90-billing5.png [^] (43,457 bytes) 2011-08-06 16:04


png file icon sit3.90-billing6.png [^] (71,189 bytes) 2011-08-06 16:04

- Relationships
has duplicate 0001672closed Adding a service doesn't add a billing matrix 
has duplicate 0001694closed New services have blank billing matrix 

-  Notes
User avatar (0004162)
Tomse (developer)
2011-08-06 16:21

confirmed
User avatar (0004187)
ivan (administrator)
2011-08-08 11:30

I don't think I fully understand the implications of having a different billing matrix for each service period within a contract. Is the service record really the right place to store the billing matrix selection or should it be on the contract record so that the selection is made once per contract.
User avatar (0004243)
paulh (administrator)
2011-08-20 12:13

21105d9 adds the ability to specify the billing matrix on new services so at least it doesn't break horribly, as for whether we should specify the billing matrix at the service or contract level I'm not sure
User avatar (0004552)
paulh (administrator)
2012-10-20 14:06

I think it makes sense that the billing matrix is stored at the contract level rather than the service level
User avatar (0004553)
paulh (administrator)
2012-10-20 14:38

git a824934 moves teh billing matrix to the contract

- Issue History
Date Modified Username Field Change
2011-08-06 16:00 ivan New Issue
2011-08-06 16:04 ivan File Added: sit3.90-billing5.png
2011-08-06 16:04 ivan File Added: sit3.90-billing6.png
2011-08-06 16:12 ivan Relationship added has duplicate 0001672
2011-08-06 16:21 Tomse Note Added: 0004162
2011-08-06 16:21 Tomse Assigned To => Tomse
2011-08-06 16:21 Tomse Status new => confirmed
2011-08-06 16:21 Tomse Assigned To Tomse =>
2011-08-08 11:30 ivan Note Added: 0004187
2011-08-19 20:25 paulh Relationship added has duplicate 0001694
2011-08-19 20:26 paulh Assigned To => paulh
2011-08-19 20:26 paulh Status confirmed => assigned
2011-08-20 12:13 paulh Note Added: 0004243
2011-08-20 12:13 paulh Assigned To paulh =>
2011-08-20 12:13 paulh Status assigned => confirmed
2012-10-20 13:11 paulh Assigned To => paulh
2012-10-20 13:11 paulh Status confirmed => assigned
2012-10-20 14:06 paulh Note Added: 0004552
2012-10-20 14:38 paulh Note Added: 0004553
2012-10-20 14:43 paulh Status assigned => resolved
2012-10-20 14:43 paulh Resolution open => fixed
2012-10-20 14:43 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker